Bug 985982 - gnome-rdp startup Glib-GObject-WARNING and kill process issues
gnome-rdp startup Glib-GObject-WARNING and kill process issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-rdp (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Luis Bazan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 12:40 EDT by Brian Dudek
Modified: 2015-02-17 11:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:14:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Dudek 2013-07-18 12:40:36 EDT
Description of problem:
Starting gnome-rdp from command line generates terminal errors.  Starting gnome-rdp from icon, not terminal, the same errors are reported in the system log.
AND
Closing gnome-rdp by Xing the window does not terminate the process.  xkilling the gnome-rdp window, if started from a terminal, will terminate the process but issues this error:

gnome-rdp: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

No error is seen in system logs if Xkilling when gnome-rdp is invoked from icon.


Version-Release number of selected component (if applicable):

[dudek@blackf19 ~]$ uname -r ; rpm -q gnome-rdp gnome-shell glib2 gtk2 gtk-sharp2 gnome-sharp gnome-desktop-sharp mono-core libappindicator-sharp libappindicator spice-glib spice-gtk3
3.9.9-302.fc19.x86_64
gnome-rdp-0.3.1.0-5.fc19.x86_64
gnome-shell-3.8.3-3.fc19.x86_64
glib2-2.36.3-2.fc19.x86_64
gtk2-2.24.19-3.fc19.x86_64
gtk-sharp2-2.12.11-7.fc19.x86_64
gnome-sharp-2.24.2-2.fc19.x86_64
gnome-desktop-sharp-2.26.0-18.fc19.x86_64
mono-core-2.10.8-4.fc19.x86_64
libappindicator-sharp-12.10.0-2.fc19.x86_64
libappindicator-12.10.0-2.fc19.x86_64
spice-glib-0.20-2.fc19.x86_64
spice-gtk3-0.20-2.fc19.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
[dudek@blackf19 ~]$ gnome-rdp

(gnome-rdp:2055): GLib-GObject-WARNING **: gsignal.c:2475: signal `child-added' is invalid for instance `0x194f410' of type `GtkMenu'

(gnome-rdp:2055): GLib-GObject-WARNING **: gsignal.c:2475: signal `child-added' is invalid for instance `0x194f5b0' of type `GtkMenu'
^C

The number 2055 as seen in the error message (gnome-rdp:2055) is the PID for gnome-rdp.exe.  After Xing the gnome-rdp windows to close it as normal the process hangs onto the terminal.  A ^C frees the terminal for more use but the gnome-rdp.exe process is still running.

[root@blackf19 ~]# ps -ef | grep rdp
dudek     2055  1915  3 10:27 pts/1    00:00:00 mono /usr/lib64/gnome-rdp/gnome-rdp.exe

Expected results:


Additional info:
Comment 1 Brian Dudek 2013-11-07 13:19:40 EST
Issues still exists with most current Fedora 19 packages:

[root@blackf19 ~]# uname -r ; rpm -q gnome-rdp gnome-shell glib2 gtk2 gtk-sharp2 gnome-sharp gnome-desktop-sharp mono-core libappindicator-sharp libappindicator spice-glib spice-gtk3
3.11.7-200.fc19.x86_64
gnome-rdp-0.3.1.0-7.fc19.x86_64
gnome-shell-3.8.4-2.fc19.x86_64
glib2-2.36.3-3.fc19.x86_64
gtk2-2.24.22-1.fc19.x86_64
gtk-sharp2-2.12.11-7.fc19.x86_64
gnome-sharp-2.24.2-2.fc19.x86_64
gnome-desktop-sharp-2.26.0-18.fc19.x86_64
mono-core-2.10.8-4.fc19.x86_64
libappindicator-sharp-12.10.0-2.fc19.x86_64
libappindicator-12.10.0-2.fc19.x86_64
spice-glib-0.20-7.fc19.x86_64
spice-gtk3-0.20-7.fc19.x86_64

See the same issue with Fedora 20 and rawhide Fedora 21 packages.
Comment 2 Fedora End Of Life 2015-01-09 13:59:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:14:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.